require issue on interface

Topics: Developer Forum
May 19, 2011 at 4:17 PM
Edited May 19, 2011 at 4:20 PM

A server error has occurred:

require(PHPExcel_Reader_IReader.php): failed to open stream: No such file or directory in [projectpath]/PHPExcel/Reader/Excel5.php on line 79

 

I get this error after installing and running PHPExcel_IOFactory::load('filename'). I can change the name of IReader.php to PHPExcel_Reader_IReader.php but it doesn't seem to make a difference.

I downloaded the PEAR version. And am running PHP Version 5.3.5-plo-gentoo.

Coordinator
May 22, 2011 at 1:58 PM

Are you running PHPExcel as a standalone library, or within a framework or with other libraries that might implement their own autoloader?